WebSite/Areas/PLM/Controllers/LogoController.cs
using ARGNS.ManagerView;
using ARGNS.Util;
using ARGNS.View;
using ARGNS.WebSite.Attribute;
using ARGNS.WebSite.Resources.Views.PLM.PDM;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace ARGNS.WebSite.Areas.PLM.Controllers
{
    [CustomerAuthorize(Enums.Areas.PLM)]
    public class LogoController : Controller
    {
        private LogoManagerView mLogoManagerView = new LogoManagerView();

        public ActionResult ActionLogo(string ActionLogo, string pCode)
        {
            LogoView mLogoView = null;

            switch (ActionLogo)
            {
                case "View":
                    ViewBag.FormMode = ActionLogo;
                    mLogoView = mLogoManagerView.GetLogoById(((UserView)Session["UserLogin"]).CompanyConnect,pCode);
                    ViewBag.Tite = PDM.View  + " Logo " + pCode;
                    break;

            }

            return View("_Logo", mLogoView);
        }

        [HttpPost]
        public PartialViewResult GetLogoList(string pCode)
        {
            List<ARGNSModelLogoView> ScaleList = mLogoManagerView.GetLogoList(((UserView)Session["UserLogin"]).CompanyConnect, pCode);
            return PartialView("_LogoList", ScaleList);
        }


    }
}

WebSite/Areas/PLM/Views/Logo/_Logo.cshtml
@model LogoView
@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/PLM/Views/Shared/_Layout.cshtml";
}


<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
    var urlRedirect = '@ViewBag.URLRedirect';
</script>

<h1 class="page-header">@ViewBag.Tite</h1>
@Styles.Render("~/Content/DataPicker")

<!--CONTENIDOS-->
    <div class="row">
        <!--col derecha-->
        <div class="col-md-8 col-sm-8 col-xs-12 col_derecha">
            <div class="panel panel-default">
                <div class="panel-heading clearfix">
                    <h3 class="panel-title">Logo</h3>
                </div>

                <div class="panel-body">
                    @Html.TextBoxFor(c => c.Code, new { @Id = "Code", @Name = "Code", @class = "form-control", @style = "display: none" })
                    <!--col1-->
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.Code</label>
                            <div class="col-md-8">
                                @Html.TextBoxFor(c => c.U_CodeLogo, new { @Id = "U_CodeLogo", @Name = "U_CodeLogo", @placeholder = @PDM.Code, @class = "form-control" })
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.Date</label>
                            <div class="col-md-8">
                                <div class="input-group date">
                                    @Html.TextBoxFor(c => c.U_LDate, new { @Id = "U_LDate", @Name = "U_LDate", @placeholder = @PDM.Date, @class = "form-control", @Value = (Model.U_LDate != null && Model.U_LDate != DateTime.MinValue) ? Model.U_LDate.ToString().AsDateTime().ToShortDateString() : "" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.Type</label>
                            <div class="col-md-8">
                                @Html.DropDownListFor(model => model.U_LType, new SelectList(
                                    Model.ListType,
                                    "Value",
                                    "Text", Model.U_LType), new { @Id = "U_LType", @Name = "U_LType", @class = "form-control" })
                            </div>
                        </div>                        

                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.Desc</label>
                            <div class="col-md-8">
                                @Html.TextAreaFor(c => c.U_Desc, new { @Id = "U_Desc", @Name = "U_Desc", @placeholder = @PDM.Date, @class = "form-control" })
                            </div>
                        </div>
                    </div>

                    <!--col2-->
                    <div class="col-md-6 col-sm-6 col-xs-12">

                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.Archive</label>
                            <div class="col-md-8">
                                @Html.TextBoxFor(c => c.U_LArchive, new { @Id = "U_LArchive", @Name = "U_LArchive", @placeholder = @PDM.Archive, @class = "form-control" })
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.SC</label>
                            <div class="col-md-8">
                                @Html.TextBoxFor(c => c.U_StichCount, new { @Id = "U_StichCount", @Name = "U_StichCount", @placeholder = @PDM.SC, @class = "form-control" })
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.HS</label>
                            <div class="col-md-8">
                                @Html.TextBoxFor(c => c.U_HoopSize, new { @Id = "U_HoopSize", @Name = "U_HoopSize", @placeholder = @PDM.HS, @class = "form-control" })
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.Width</label>
                            <div class="col-md-8">
                                @Html.TextBoxFor(c => c.U_LWidth, new { @Id = "U_LWidth", @Name = "U_LWidth", @placeholder = @PDM.Width, @class = "form-control" })
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.Height</label>
                            <div class="col-md-8">
                                @Html.TextBoxFor(c => c.U_LHeight, new { @Id = "U_LHeight", @Name = "U_LHeight", @placeholder = @PDM.Height, @class = "form-control" })
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.Comments</label>
                            <div class="col-md-8">
                                @Html.TextBoxFor(c => c.U_Comments, new { @Id = "U_Comments", @Name = "U_Comments", @placeholder = @PDM.Comments, @class = "form-control" })
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4 col-sm-4 col-xs-12 col_izquierda">
            <div class="panel panel-default">
                <div class="panel-heading clearfix">
                    <h3 class="panel-title">Logo</h3>
                </div>
                <div class="panel-body" id="bloke2">
                    <div id="carousel" class="carousel slide" data-ride="carousel">
                        <div class="carousel-inner">
                            @{
                                System.IO.FileInfo AuxFileInfo = new FileInfo(Model.U_LImagen);
                                if (Model.U_LImagen != null)
                                {
                                    <div class="item active" data-thumb="0">
                                        <img src="/images/Logos/@AuxFileInfo.Name" style="margin: auto;">
                                    </div>
                                }
                                else
                                {
                                    <div class="item active" data-thumb="0">
                                        <img src="/Content/img/noimage.gif" style="margin: auto;">
                                    </div>
                                }
                            }
                        </div>
                    </div>
            </div>
        </div>
    </div>

@Scripts.Render("~/bundles/Design")

WebSite/Areas/PLM/Views/Logo/_LogoList.cshtml
@model List<ARGNSModelLogoView>
<table class="table table-striped">
    <thead>
        <tr>
            <th>Logo</th>
            <th>@PDM.Desc</th>
            <th>@PDM.Location</th>
            <th>@PDM.Position</th>
            <th>Color</th>
            <th>@PDM.CWC</th>
            <th>@PDM.Colorway</th>
            <th>@PDM.Variable</th>
            <th>&nbsp;</th>
        </tr>
    </thead>
    <tbody>
        @foreach (ARGNSModelLogoView item in Model)
        {
            <tr>
                <td>@item.U_CodeLogo</td>
                <td>@item.U_LogDesc</td>
                <td>@item.U_Location</td>
                <td>@item.U_Position</td>
                <td>@item.U_ModColor</td>
                <td>@item.U_CodColow</td>
                <td>@item.U_Colorway</td>
                <td>@item.U_Variable</td>
                <td>
                    <a class="btn btn-primary btn-xs" target = "_blank" href="@Url.Action("ActionLogo", "Logo", new { @ActionLogo = "View", @pCode = item.U_CodeLogo })"><span class="glyphicon glyphicon-search"></span>@PDM.VD</a>
                </td>
            </tr>
        }
    </tbody>
</table>